Trascrivi file multimediale
curl --request POST \
--url https://api.voicecheap.ai/v1/transcribe \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"outputFormat": "<string>",
"originalLanguage": "<string>",
"numberOfSpeakers": "<string>",
"brandVocabulary": "<string>",
"removeFillerWords": true,
"includeSpeakerLabels": true
}
'import requests
url = "https://api.voicecheap.ai/v1/transcribe"
payload = {
"outputFormat": "<string>",
"originalLanguage": "<string>",
"numberOfSpeakers": "<string>",
"brandVocabulary": "<string>",
"removeFillerWords": True,
"includeSpeakerLabels": True
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
outputFormat: '<string>',
originalLanguage: '<string>',
numberOfSpeakers: '<string>',
brandVocabulary: '<string>',
removeFillerWords: true,
includeSpeakerLabels: true
})
};
fetch('https://api.voicecheap.ai/v1/transcribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Trascrizione
Trascrivi file multimediale
Trascrivi un file audio o video come JSON, SRT o VTT completo
Trascrivi file multimediale
Trascrivi file multimediale
Carica un file audio o video e ricevi direttamente la sua trascrizione. Questo endpoint autonomo non crea un progetto di doppiaggio. L’endpoint accetta file fino a 200 MB e 2 ore. Utilizza le stesse regole di accesso tramite API-key dell’API di traduzione. Le richieste riuscite restituiscono HTTP200.
Richiesta
Inviamultipart/form-data con i seguenti campi.
string
obbligatorio
La tua chiave API VoiceCheap.
file
obbligatorio
Il file audio o video da trascrivere. I formati supportati includono MP4, MOV, MKV, WebM, MPEG, MP3, WAV, M4A, FLAC, OGG e AAC.
string
predefinito:"json"
Formato di risposta:
json, srt o vtt.string
predefinito:"auto-detect"
Codice ISO della lingua sorgente supportato. Lascialo come
auto-detect a meno che tu non conosca la lingua sorgente. Le lingue esplicite non supportate restituiscono un errore di convalida prima dell’inizio dell’elaborazione.string
predefinito:"auto-detect"
auto-detect o un numero intero da 1 a 32.string
Un array di stringhe JSON di nomi, marchi, acronimi o termini di dominio da riconoscere. I termini della richiesta vengono uniti al glossario salvato dell’account o del team.
["VoiceCheap", "SmartSync", "ITC Global"]
boolean
predefinito:"true"
Rimuovi le comuni parole riempitive dalla trascrizione.
boolean
predefinito:"false"
Aggiungi un prefisso ai cue SRT con
Speaker N: o aggiungi tag vocali VTT. Il formato JSON include sempre il numero del parlante su ogni segmento e parola.Risposta JSON
Il formato JSON è l’output più completo. Contiene il testo completo, l’attendibilità della lingua, la durata del file multimediale, i parlanti, i segmenti con timestamp e le parole con timestamp.{
"source": "standalone",
"language": "en",
"languageConfidence": 0.99,
"duration": 12.4,
"text": "Welcome to VoiceCheap.",
"speakers": [{ "id": 0, "label": "Speaker 1" }],
"segments": [
{
"index": 0,
"text": "Welcome to VoiceCheap.",
"begin": 0.18,
"end": 1.74,
"duration": 1.56,
"speaker": 0,
"language": "en",
"confidence": 0.94,
"words": [
{
"index": 0,
"text": "Welcome",
"speaker": 0,
"confidence": 0.96,
"begin": 0.18,
"end": 0.62,
"duration": 0.44
}
]
}
],
"words": [
{
"index": 0,
"text": "Welcome",
"speaker": 0,
"confidence": 0.96,
"begin": 0.18,
"end": 0.62,
"duration": 0.44
}
]
}
Esempi
curl -X POST "https://api.voicecheap.ai/v1/transcribe" \
-H "x-api-key: vc_your-api-key" \
-F "file=@interview.mp4" \
-F "outputFormat=json" \
-F "numberOfSpeakers=2" \
-F 'brandVocabulary=["VoiceCheap","SmartSync"]'
curl -X POST "https://api.voicecheap.ai/v1/transcribe" \
-H "x-api-key: vc_your-api-key" \
-F "file=@interview.mp4" \
-F "outputFormat=srt" \
-F "includeSpeakerLabels=true" \
--output interview.srt
curl -X POST "https://api.voicecheap.ai/v1/transcribe" \
-H "x-api-key: vc_your-api-key" \
-F "file=@interview.mp4" \
-F "outputFormat=vtt" \
--output interview.vtt
Errori
| Stato | Codice | Descrizione |
|---|---|---|
| 400 | FILE_REQUIRED | Nessun file è stato caricato |
| 400 | INVALID_FILE_TYPE | Il tipo di file non è supportato |
| 400 | INVALID_MEDIA_STREAM | Il file non ha un flusso audio |
| 400 | DURATION_DETECTION_FAILED | Impossibile leggere la durata del file multimediale |
| 400 | DURATION_TOO_LONG | Il file multimediale è più lungo di due ore |
| 400 | INVALID_BRAND_VOCABULARY | Una o più voci del glossario non sono valide |
| 400 | INVALID_BOOLEAN_VALUE | Un valore booleano multipart non è true o false |
| 400 | INVALID_JSON_FORMAT | Un campo multipart codificato in JSON è malformato |
| 400 | INVALID_MULTIPART_REQUEST | I dati del modulo multipart sono malformati o troppo grandi |
| 413 | FILE_TOO_LARGE | Il file supera i 200 MB |
| 502 | TRANSCRIPTION_EMPTY | La trascrizione non ha restituito alcun parlato utilizzabile |
| 502 | TRANSCRIPTION_FAILED | Il motore di trascrizione non è riuscito a terminare |
Questa pagina è stata utile?

